<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.njzscloud.dispose.sys.user.mapper.SysUserRoleMapper">

    <select id="listRole" resultType="com.njzscloud.dispose.sys.role.pojo.result.RoleDetailResult">
        SELECT
        b.id,
        b.role_code,
        b.role_name,
        b.memo
        FROM sys_user_role a
        INNER JOIN sys_role b ON b.id = a.role_id
        <if test="ew != null and ew.customSqlSegment != null and ew.customSqlSegment !=''">
            ${ew.customSqlSegment}
        </if>
    </select>
</mapper>
